mixin navigation-category(index)
  .children
    if index.children.categories.length
      ol.categories
        each category in index.children.categories
          if !category.meta.hidden
            li.category
              .title
                if category === self.index
                  span.active=category.meta.title
                else
                  a(href=self.url("content/" + category.uri))=category.meta.title
              +navigation-category(category)
    if index.children.pages.length
      ol.pages
        each page in index.children.pages
          if !page.meta.hidden
            li.page
              .title
                if page === self.index
                  span.active=page.meta.title
                else
                  a(href=self.url("content/" + page.uri))=page.meta.title
